demo/demo/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include("home.urls", namespace="home")),
    path('pinturas/', include("pinturas.urls", namespace="pinturas")),
    path('articulos/', include("articulos.urls", namespace="articulos")),
]

demo/pinturas/urls.py
from django.urls import path

from pinturas import views

app_name = "pinturas"

urlpatterns = [
    path('list_category/', views.ListCategory.as_view(), name="list_category"),
    path('new_category/', views.NewCategory.as_view(), name="new_category"),
    path('update_category/<int:pk>/', views.UpdateCategory.as_view(), name="update_category"),
    path('delete_category/<int:pk>/', views.DeleteCategory.as_view(), name="delete_category"),
    path('new_era/', views.NewEra.as_view(), name="new_era"),
    path('list_era/', views.ListEra.as_view(), name="list_era"),
    path('update_era/<int:pk>/', views.UpdateEra.as_view(), name="update_era"),
    path('delete_era/<int:pk>/', views.DeleteEra.as_view(), name="delete_era"),
    path('detail_category/<int:pk>/', views.DetailCategory.as_view(), name="detail_category"),
    path('detail_era/<int:pk>/', views.DetailEra.as_view(), name="detail_era"),
    path('ws/list_category/', views.wsList, name="ws_list_category"),
     path('list_museo/', views.ListMuseo.as_view(), name="list_museo"),
    path('new_museo/', views.NewMuseo.as_view(), name="new_museo"),
    path('update_museo/<int:pk>/', views.UpdateMuseo.as_view(), name="update_museo"),
    path('delete_museo/<int:pk>/', views.DeleteMuseo.as_view(), name="delete_museo"),
     path('list_artista/', views.ListArtista.as_view(), name="list_artista"),
    path('new_artista/', views.NewArtista.as_view(), name="new_artista"),
    path('update_artista/<int:pk>/', views.UpdateArtista.as_view(), name="update_artista"),
    path('delete_artista/<int:pk>/', views.DeleteArtista.as_view(), name="delete_artista"),
    path('list_obra/', views.ListObra.as_view(), name="list_obra"),
    path('new_obra/', views.NewObra.as_view(), name="new_obra"),
    path('update_obra/<int:pk>/', views.UpdateObra.as_view(), name="update_obra"),
]

demo/pinturas/models.py
from django.db import models
from django.contrib.auth.models import User



# Create your models here.

class BrandQuerySet(models.QuerySet):
    def old(self):
        return self.filter(id__lt=3)


class BaseModel(models.Model):
    user = models.ForeignKey(User, on_delete=models.CASCADE)
    status = models.BooleanField(default=True)
    timestamp = models.DateTimeField(auto_now_add=True)
    update = models.DateTimeField(auto_now=True)
    user_update = models.IntegerField(blank=True, null=True)


    class Meta:
        abstract = True


class Category(BaseModel):
    description = models.CharField(
        max_length = 128,
        help_text = "Category Description",
        unique = True
    )

    def __str__(self):
        return "{}".format(self.description)

    def save(self):
        self.description = self.description.upper()
        super(Category, self).save()

    class Meta:
        verbose_name_plural = "Categories"

class Era(BaseModel):
    category = models.ForeignKey(Category, on_delete=models.CASCADE)
    description = models.CharField(
        max_length = 128,
        help_text = "Era Description"
    )

    def __str__(self):
        return "{0} - {1}".format(self.category.description, self.description)


    def save(self):
        self.description = self.description.upper()
        super(Era, self).save()

    class Meta:
        verbose_name_plural = "Eras"
        unique_together = ("category", "description")

class Museo(BaseModel):
    objects = BrandQuerySet.as_manager()
    description = models.CharField(
        max_length = 128,
        help_text = "Description Museo",
        unique = True
    )

    def __str__(self):
        return "{}".format(self.description)

    def save(self):
        self.description = self.description.upper()
        super(Museo, self).save()

    class Meta:
        verbose_name_plural = "Museos"
class Artista(BaseModel):
    description = models.CharField(
        max_length = 128,
        help_text = "Artist Description",
        unique = True
    )

    def __str__(self):
        return "{}".format(self.description)

    def save(self):
        self.description = self.description.upper()
        super(Artista, self).save()

    class Meta:
        verbose_name_plural = "Artistas"


##### PRODUCT MODEL #####

class Obra(BaseModel):
    code = models.CharField(max_length=16, unique=True)
    description = models.CharField(max_length=128)
    price = models.FloatField(default=0)
    last_buy = models.DateField(null=True, blank=True)
    museo = models.ForeignKey(Museo, on_delete=models.CASCADE)
    artista = models.ForeignKey(Artista, on_delete=models.CASCADE)
    era = models.ForeignKey(Era, on_delete=models.CASCADE)


    def __str__(self):
        return "{}".format(self.description)


    def save(self):
        self.description = self.description.upper()
        super(Obra, self).save()


    class Meta:
        verbose_name_plural = "Obras"

demo/pinturas/forms.py
from django import forms

from .models import Category, Era, Museo, Artista, Obra

class NewCategoryForm(forms.ModelForm):
    class Meta:
        model = Category
        fields = [
            "description",
            "status",
        ]
        labels = {
            "description": "Category",
            "status": "Status"
        }
        widget = {
            "description": forms.TextInput
        }

    def __init__(self, *args, **kwargs):
            super().__init__(*args, **kwargs)
            for field in iter(self.fields):
                self.fields[field].widget.attrs.update({
                    "class": "form-control"
                })
class NewEraForm(forms.ModelForm):
    class Meta:
        model = Era
        fields = [
            "category",
            "description",
            "status",
        ]
        labels = {
            "description": "Category",
            "status": "Status"
        }
        widget = {
            "description": forms.TextInput
        }

    def __init__(self, *args, **kwargs):
            super().__init__(*args, **kwargs)
            for field in iter(self.fields):
                self.fields[field].widget.attrs.update({
                    "class": "form-control"
                })
            self.fields["category"].empty_label = "Choose Category"


class MuseoForm(forms.ModelForm):
    class Meta:
        model = Museo
        fields = [
            "description",
            "status",
        ]
        labels = {
            "description": "Museo",
            "status": "Status"
        }
        widget = {
            "description": forms.TextInput
        }

    def __init__(self, *args, **kwargs):
            super().__init__(*args, **kwargs)
            for field in iter(self.fields):
                self.fields[field].widget.attrs.update({
                    "class": "form-control"
                })

class ArtistaForm(forms.ModelForm):
    class Meta:
        model = Artista
        fields = [
            "description",
            "status",
        ]
        labels = {
            "description": "Artista",
            "status": "Status"
        }
        widget = {
            "description": forms.TextInput
        }

    def __init__(self, *args, **kwargs):
            super().__init__(*args, **kwargs)
            for field in iter(self.fields):
                self.fields[field].widget.attrs.update({
                    "class": "form-control"
                })




class ObraForm(forms.ModelForm):
    class Meta:
        model = Obra
        fields = [ ## "__all__"
            "code",
            "description",
            "status",
            "price",
            "last_buy",
            "museo",
            "era",
            "artista"
        ]
        exclude = ["user", "user_update", "timestamp", "update"]
        labels = {
            "code": "Code",
            "description": "Product Description",
            "status": "Status",
            "price": "Price",
            "last_buy": "Last Buy",
            "museo": "Museo",
            "era": "Era",
            "artista": "Artista",
        }
        widget = {
            "description": forms.TextInput
        }

    def __init__(self, *args, **kwargs):
            super().__init__(*args, **kwargs)
            for field in iter(self.fields):
                self.fields[field].widget.attrs.update({
                    "class": "form-control"
                })

demo/pinturas/views.py
from django.shortcuts import render
from django.urls import reverse_lazy

from django.views import generic
from django.contrib.auth.mixins import LoginRequiredMixin

from django.http import JsonResponse, HttpResponse
from django.core import serializers

from .models import Category, Era, Museo, Artista, Obra
from .forms import NewCategoryForm, NewEraForm, MuseoForm, ArtistaForm, ObraForm
# Create your views here.


##### CRUD Category #####


##### RETRIEVE (List, Detail) #####
## generic.ListView
class ListCategory(LoginRequiredMixin, generic.ListView):
    template_name = "pinturas/list_category.html"
    model = Category
    context_object_name = "obj"
    login_url = "home:login"

## generic.DetailView
class DetailCategory(LoginRequiredMixin, generic.DetailView):
    template_name = "pinturas/detail_category.html"
    model = Category
    login_url = "home:login"
    context_object_name = "obj"

class NewCategory(LoginRequiredMixin, generic.CreateView):
    template_name = "pinturas/new_category.html"
    model = Category
    context_object_name = "obj"
    form_class = NewCategoryForm
    login_url = "home:login"
    success_url = reverse_lazy("pinturas:list_category")

    def form_valid(self, form):
        form.instance.user = self.request.user
        return super().form_valid(form)

##### UPDATE #####
## generic.UpdateView
class UpdateCategory(LoginRequiredMixin, generic.UpdateView):
    template_name = "pinturas/update_category.html"
    model = Category
    context_object_name = "obj"
    form_class = NewCategoryForm
    login_url = "home:login"
    success_url = reverse_lazy("pinturas:list_category")

    def form_valid(self, form):
        form.instance.user = self.request.user
        return super().form_valid(form)



##### DELETE #####
## generic.DeleteView
class DeleteCategory(LoginRequiredMixin, generic.DeleteView):
    template_name = "pinturas/delete_category.html"
    model = Category
    context_object_name = "obj"
    login_url = "home:login"
    success_url = reverse_lazy("pinturas:list_category")


##### CRUD ERA #####

##### RETRIEVE #####
## generic.ListView
class ListEra(LoginRequiredMixin, generic.ListView):
    template_name = "pinturas/list_era.html"
    model = Era
    context_object_name = "obj"
    login_url = "home:login"


class DetailEra(LoginRequiredMixin, generic.DetailView):
    template_name = "pinturas/detail_era.html"
    model = Era
    login_url = "home:login"
    context_object_name = "obj"


##### CREATE #####
## generic.CreateView
class NewEra(LoginRequiredMixin, generic.CreateView):
    template_name = "pinturas/new_era.html"
    model = Era
    context_object_name = "obj"
    form_class = NewEraForm
    login_url = "home:login"
    success_url = reverse_lazy("pinturas:list_era")

    def form_valid(self, form):
        form.instance.user = self.request.user
        return super().form_valid(form)


##### UPDATE #####
## generic.UpdateView
class UpdateEra(LoginRequiredMixin, generic.UpdateView):
    template_name = "pinturas/update_era.html"
    model = Era
    context_object_name = "obj"
    form_class = NewEraForm
    login_url = "home:login"
    success_url = reverse_lazy("pinturas:list_era")


    def form_valid(self, form):
        form.instance.user = self.request.user
        return super().form_valid(form)

##### DELETE #####
## generic.DeleteView
class DeleteEra(LoginRequiredMixin, generic.DeleteView):
    template_name = "pinturas/delete_era.html"
    model = Era
    context_object_name = "obj"
    success_url = reverse_lazy("pinturas:list_era")
    login_url = "home:login"


##### API's #####
## ws JSON

def wsList(request):
    data = serializers.serialize('json', Category.objects.filter(status=False))
    return HttpResponse(data, content_type="application/json")

##### CRUD MUSEO #####

class ListMuseo(LoginRequiredMixin, generic.ListView):
    template_name = "pinturas/list_museo.html"
    model = Museo
    context_object_name = "obj"
    login_url = "home:login"


class NewMuseo(LoginRequiredMixin, generic.CreateView):
    template_name = "pinturas/new_museo.html"
    model = Museo
    form_class = MuseoForm
    login_url = "home:login"
    context_object_name = "obj"
    success_url = reverse_lazy("pinturas:list_museo")

    def form_valid(self, form):
        form.instance.user = self.request.user
        return super().form_valid(form)


class UpdateMuseo(LoginRequiredMixin, generic.UpdateView):
    template_name = "pinturas/update_museo.html"
    model = Museo
    form_class = MuseoForm
    login_url = "home:login"
    context_object_name = "obj"
    success_url = reverse_lazy("pinturas:list_museo")

    def form_valid(self, form):
        form.instance.user = self.request.user
        return super().form_valid(form)


class DeleteMuseo(LoginRequiredMixin, generic.DeleteView):
    template_name = "pinturas/delete_museo.html"
    model = Museo
    context_object_name = "obj"
    success_url = reverse_lazy("pinturas:list_museo")
    login_url = "home:login"

##### CRUD Artista #####


##### RETRIEVE (List, Detail) #####
## generic.ListView
class ListArtista(LoginRequiredMixin, generic.ListView):
    template_name = "pinturas/list_artista.html"
    model = Artista
    context_object_name = "obj"
    login_url = "home:login"


##### CREATE #####
## generic.CreateView
class NewArtista(LoginRequiredMixin, generic.CreateView):
    template_name = "pinturas/new_artista.html"
    model = Artista
    context_object_name = "obj"
    form_class = ArtistaForm
    login_url = "home:login"
    success_url = reverse_lazy("pinturas:list_artista")

    def form_valid(self, form):
        form.instance.user = self.request.user
        return super().form_valid(form)

##### UPDATE #####
## generic.UpdateView
class UpdateArtista(LoginRequiredMixin, generic.UpdateView):
    template_name = "pinturas/update_artista.html"
    model = Artista
    context_object_name = "obj"
    form_class = ArtistaForm
    login_url = "home:login"
    success_url = reverse_lazy("pinturas:list_measure")

    def form_valid(self, form):
        form.instance.user = self.request.user
        return super().form_valid(form)



##### DELETE #####
## generic.DeleteView
class DeleteArtista(LoginRequiredMixin, generic.DeleteView):
    template_name = "pinturas/delete_artista.html"
    model = Artista
    context_object_name = "obj"
    login_url = "home:login"
    success_url = reverse_lazy("pinturas:list_artista")


##### CRUD PRODUCT #####


##### RETRIEVE (List, Detail) #####
## generic.ListView
class ListObra(LoginRequiredMixin, generic.ListView):
    template_name = "pinturas/list_obra.html"
    model = Obra
    context_object_name = "obj"
    login_url = "home:login"


##### CREATE #####
## generic.CreateView
class NewObra(LoginRequiredMixin, generic.CreateView):
    template_name = "pinturas/new_obra2.html"
    model = Obra
    context_object_name = "obj"
    form_class = ObraForm
    login_url = "home:login"
    success_url = reverse_lazy("pinturas:list_obra")

    def form_valid(self, form):
        form.instance.user = self.request.user
        return super().form_valid(form)

##### UPDATE #####
## generic.UpdateView
class UpdateObra(LoginRequiredMixin, generic.UpdateView):
    template_name = "pinturas/new_obra2.html"
    model = Obra
    context_object_name = "obj"
    form_class = ObraForm
    login_url = "home:login"
    success_url = reverse_lazy("pinturas:list_obra")

    def form_valid(self, form):
        form.instance.user = self.request.user
        return super().form_valid(form)

demo/templates/pinturas/list_artista.html
{% extends "base.html" %}

{% block title %}Artista List{% endblock title %}

{% block page_content %}


<!-- Dropdown Card Example -->
<div class="card shadow mb-4">
  <!-- Card Header - Dropdown -->
  <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
    <h6 class="m-0 font-weight-bold text-primary">Artistas</h6>
    <div class="dropdown no-arrow">
      <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
        <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
      </a>
      <div class="dropdown-menu dropdown-menu-right shadow animated--fade-in" aria-labelledby="dropdownMenuLink">
        <div class="dropdown-header">Actions:</div>
        <a class="dropdown-item" href="{% url 'pinturas:new_artista' %}"><i class="far fa-calendar-plus"></i>NewArtist</a>
        <a class="dropdown-item" href="">Another Action</a>
        <div class="dropdown-divider"></div>
        <a class="dropdown-item" href="#">Something else here</a>
      </div>
    </div>
  </div>
  <!-- Card Body -->
  <div class="card-body">
    {% if not obj %}
      <h3> Not Artist Yet!! </h3>
    {% else %}
      <table class="table table-striped table-hover">
        <thead>
          <th> Id </th>
          <th> Description </th>
          <th> Status </th>
          <th> TimeStamp </th>
          <th> Update </th>
          <th class="all"> Actions </th>
        </thead>
        <tbody>
          {% for item in obj %}
             <tr>
               <th>{{ item.id }}</th>
               <th>{{ item.description }}</th>
               <th>{{ item.status|yesno:"Active, Inactive" }}</th>
               <th>{{ item.timestamp|date:"d/m/Y H:i:s" }}</th>
               <th>{{ item.update|date:"d/m/Y H:i:s" }}</th>
               <th>
                 <a href="{% url 'pinturas:update_artista' item.pk %}" class="btn btn-warning btn-circle" role="button"><i class="far fa-edit"></i></a>
                 <a href="{% url 'pinturas:delete_artista' item.pk %}" class="btn btn-danger btn-circle" role="button"><i class="far fa-trash-alt"></i></a>
               </th>
             </tr>
          {% endfor %}
        </tbody>
      </table>
    {% endif %}
  </div>
</div>



{% endblock page_content %}

{% block js_scripts %}
  <script type="text/javascript">
    // Call the DataTable JQuery plugin//
    $(document).ready(function(){
      $('.table').DataTable();
    });
  </script>>
{% endblock js_scripts %}

demo/templates/pinturas/list_category.html
{% extends "base.html" %}

{% block title %}Categories List{% endblock title %}

{% block page_content %}


<!-- Dropdown Card Example -->
<div class="card shadow mb-4">
  <!-- Card Header - Dropdown -->
  <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
    <h6 class="m-0 font-weight-bold text-primary">Categorias</h6>
    <div class="dropdown no-arrow">
      <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
        <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
      </a>
      <div class="dropdown-menu dropdown-menu-right shadow animated--fade-in" aria-labelledby="dropdownMenuLink">
        <div class="dropdown-header">Actions:</div>
        <a class="dropdown-item" href="{% url 'pinturas:new_category' %}"><i class="far fa-calendar-plus"></i>NewCategory</a>
        <a class="dropdown-item" href="">NewSubCategory</a>
        <div class="dropdown-divider"></div>
        <a class="dropdown-item" href="#">Something else here</a>
      </div>
    </div>
  </div>
  <!-- Card Body -->
  <div class="card-body">
    {% if not obj %}
      <h3> Not Categories Yet!! </h3>
    {% else %}
      <table class="table table-striped table-hover">
        <thead>
          <th> Id </th>
          <th> Description </th>
          <th> Status </th>
          <th> TimeStamp </th>
          <th> Update </th>
          <th class="all"> Actions </th>
        </thead>
        <tbody>
          {% for item in obj %}
             <tr>
               <th>{{ item.id }}</th>
               <th>{{ item.description }}</th>
               <th>{{ item.status|yesno:"Active, Inactive" }}</th>
               <th>{{ item.timestamp|date:"d/m/Y H:i:s" }}</th>
               <th>{{ item.update|date:"d/m/Y H:i:s" }}</th>
               <th>
                 <a href="{% url 'pinturas:update_category' item.pk %}" class="btn btn-warning btn-circle" role="button"><i class="far fa-edit"></i></a>
                 <a href="{% url 'pinturas:delete_category' item.pk %}" class="btn btn-danger btn-circle" role="button"><i class="far fa-trash-alt"></i></a>
               </th>
             </tr>
          {% endfor %}
        </tbody>
      </table>
    {% endif %}
  </div>
</div>



{% endblock page_content %}

{% block js_scripts %}
  <script type="text/javascript">
    // Call the DataTable JQuery plugin//
    $(document).ready(function(){
      $('.table').DataTable();
    });
  </script>>
{% endblock js_scripts %}

demo/templates/pinturas/list_era.html
{% extends "base.html" %}

{% block title %}Era List{% endblock title %}

{% block page_content %}


<!-- Dropdown Card Example -->
<div class="card shadow mb-4">
  <!-- Card Header - Dropdown -->
  <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
    <h6 class="m-0 font-weight-bold text-primary">Eras</h6>
    <div class="dropdown no-arrow">
      <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
        <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
      </a>
      <div class="dropdown-menu dropdown-menu-right shadow animated--fade-in" aria-labelledby="dropdownMenuLink">
        <div class="dropdown-header">Actions:</div>
        <a class="dropdown-item" href="{% url 'pinturas:new_category' %}"><i class="far fa-calendar-plus"></i>NewCategory</a>
        <a class="dropdown-item" href="{% url 'pinturas:new_era' %}">NewEra</a>
        <div class="dropdown-divider"></div>
        <a class="dropdown-item" href="#">Something else here</a>
      </div>
    </div>
  </div>
  <!-- Card Body -->
  <div class="card-body">
    {% if not obj %}
      <h3> Not Era's Yet!! </h3>
    {% else %}
      <table class="table table-striped table-hover">
        <thead>
          <th> Id </th>
          <th> Category </th>
          <th> Description </th>
          <th> Status </th>
          <th> TimeStamp </th>
          <th> Update </th>
          <th class="all"> Actions </th>
        </thead>
        <tbody>
          {% for item in obj %}
             <tr>
               <th>{{ item.id }}</th>
               <th> {{ item.category}}</th>
               <th>{{ item.description }}</th>
               <th>{{ item.status|yesno:"Active, Inactive" }}</th>
               <th>{{ item.timestamp|date:"d/m/Y H:i:s" }}</th>
               <th>{{ item.update|date:"d/m/Y H:i:s" }}</th>
               <th>
                 <a href="{% url 'pinturas:update_era' item.pk %}" class="btn btn-warning btn-circle" role="button"><i class="far fa-edit"></i></a>
                 <a href="{% url 'pinturas:delete_era' item.pk %}" class="btn btn-danger btn-circle" role="button"><i class="far fa-trash-alt"></i></a>
               </th>
             </tr>
          {% endfor %}
        </tbody>
      </table>
    {% endif %}
  </div>
</div>



{% endblock page_content %}

demo/templates/pinturas/list_museo.html
{% extends "base.html" %}

{% block title %}Museo List{% endblock title %}

{% block page_content %}


<!-- Dropdown Card Example -->
<div class="card shadow mb-4">
  <!-- Card Header - Dropdown -->
  <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
    <h6 class="m-0 font-weight-bold text-primary">Museos</h6>
    <div class="dropdown no-arrow">
      <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
        <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
      </a>
      <div class="dropdown-menu dropdown-menu-right shadow animated--fade-in" aria-labelledby="dropdownMenuLink">
        <div class="dropdown-header">Actions:</div>
        <a class="dropdown-item" href="{% url 'pinturas:new_museo' %}"><i class="far fa-calendar-plus"></i>NewMuseo</a>
        <a class="dropdown-item" href="">Something</a>
        <div class="dropdown-divider"></div>
        <a class="dropdown-item" href="#">Something else here</a>
      </div>
    </div>
  </div>
  <!-- Card Body -->
  <div class="card-body">
    {% if not obj %}
      <h3> No Hay museos aun!! </h3>
    {% else %}
      <table class="table table-striped table-hover">
        <thead>
          <th> Id </th>
          <th> Description </th>
          <th> Status </th>
          <th> TimeStamp </th>
          <th> Update </th>
          <th class="all"> Actions </th>
        </thead>
        <tbody>
          {% for item in obj %}
             <tr>
               <th>{{ item.id }}</th>
               <th>{{ item.description }}</th>
               <th>{{ item.status|yesno:"Active, Inactive" }}</th>
               <th>{{ item.timestamp|date:"d/m/Y H:i:s" }}</th>
               <th>{{ item.update|date:"d/m/Y H:i:s" }}</th>
               <th>
                 <a href="{% url 'pinturas:update_museo' item.pk %}" class="btn btn-warning btn-circle" role="button"><i class="far fa-edit"></i></a>
                 <a href="{% url 'pinturas:delete_museo' item.pk %}" class="btn btn-danger btn-circle" role="button"><i class="far fa-trash-alt"></i></a>
               </th>
             </tr>
          {% endfor %}
        </tbody>
      </table>
    {% endif %}
  </div>
</div>



{% endblock page_content %}

{% block js_scripts %}
  <script type="text/javascript">
    // Call the DataTable JQuery plugin//
    $(document).ready(function(){
      $('.table').DataTable();
    });
  </script>>
{% endblock js_scripts %}

demo/templates/pinturas/list_obra.html
{% extends "base.html" %}

{% block title %}Obra List{% endblock title %}

{% block page_content %}


<!-- Dropdown Card Example -->
<div class="card shadow mb-4">
  <!-- Card Header - Dropdown -->
  <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
    <h6 class="m-0 font-weight-bold text-primary">Obra</h6>
    <div class="dropdown no-arrow">
      <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
        <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
      </a>
      <div class="dropdown-menu dropdown-menu-right shadow animated--fade-in" aria-labelledby="dropdownMenuLink">
        <div class="dropdown-header">Actions:</div>
        <a class="dropdown-item" onclick="return open_modal('{% url 'pinturas:new_obra' %}')" href="#"><i class="far fa-calendar-plus"></i>NuevaObra</a>
        <a class="dropdown-item" href="#"></a>
        <div class="dropdown-divider"></div>
        <a class="dropdown-item" href="#"></a>
      </div>
    </div>
  </div>
  <!-- Card Body -->
  <div class="card-body">
    {% if not obj %}
      <h3> No hay obras disponibles!! </h3>
    {% else %}
      <table class="table table-striped table-hover">
        <thead>
          <th> Codigo </th>
          <th> Obra </th>
          <th> Status </th>
          <th> Museo </th>
          <th> Artista </th>
          <th> Estilo-Era </th>
          <th class="all"> Acciones </th>
        </thead>
        <tbody>
          {% for item in obj %}
             <tr>
               <td> {{ item.code }} </td>
               <td>{{ item.description }}</td>
               <td>{{ item.status|yesno:"Active, Inactive" }}</td>
               <td> {{ item.museo }} </td>
               <td> {{ item.artista }} </td>
               <td> {{ item.era }} </td>
               <th>
                 <button type="button" onclick="return open_modal('{% url 'pinturas:update_obra' item.pk %}')" class="btn btn-warning btn-circle" name="button">
                   <i class="far fa-edit"></i>
                 </button>

               </th>
             </tr>
          {% endfor %}
        </tbody>
      </table>
    {% endif %}
  </div>
</div>



{% endblock page_content %}

{% block js_scripts %}
  <script type="text/javascript">
    // Call the DataTable JQuery plugin//
    $(document).ready(function(){
      $('.table').DataTable();
    });
  </script>>
{% endblock js_scripts %}